LINUX.ORG.RU

Как поставить python3.6 в wing ide

 ,


0

2

Доброго времени суток, форумчане. Буквально недавно перешел на Linux. Установил Ubuntu 16.04. Установил Wing Ide 101 5.1. Настало время выбрать версию питона. Как я понял, в моей версии убунто уже есть python 3.5. Но мне захотелось 3.6. С установкой python 3.6 справился, но тут возникла другая проблема. Когда в wing ide в python environment выбираю скаченную мной версию 3.6 по адресу /usr/bin/python3.6 то python shell выдает это:

Trying to import netserver from ['/usr/lib/wingide-101-5/bin/3.6/src/debug/tserver']
Unable to import findmodules
Traceback (most recent call last):
  File "/usr/lib/wingide-101-5/bin/wingdb.py", line 584, in FindNetServerModule
    import findmodules
ModuleNotFoundError: No module named 'findmodules'
Trying to import netserver from ['/usr/lib/wingide-101-5/src/debug/tserver']
Unable to import findmodules
Traceback (most recent call last):
  File "/usr/lib/wingide-101-5/bin/wingdb.py", line 584, in FindNetServerModule
    import findmodules
ModuleNotFoundError: No module named 'findmodules'
Traceback (most recent call last):

  File "/usr/lib/wingide-101-5/bin/wingdb.py", line 787, in main
    netserver = FindNetServerModule(winghome, user_settings, tmp_log)

  File "/usr/lib/wingide-101-5/bin/wingdb.py", line 620, in FindNetServerModule
    raise ImportError('Could not import netserver')

ImportError: Could not import netserver

wingdb.py: Error: Failed to start the debug server
wingdb.py: Error: You may be running an unsupported version of Python
wingdb.py: Python version = 3.6.3 (default, Oct  6 2017, 08:44:35) 
[GCC 5.4.0 20160609]
wingdb.py: WINGHOME='/usr/lib/wingide-101-5'
Traceback (most recent call last):
  File "/usr/lib/wingide-101-5/bin/wingdb.py", line 787, in main
    netserver = FindNetServerModule(winghome, user_settings, tmp_log)
  File "/usr/lib/wingide-101-5/bin/wingdb.py", line 620, in FindNetServerModule
    raise ImportError('Could not import netserver')
ImportError: Could not import netserver

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/wingide-101-5/bin/wingdb.py", line 798, in main
    sys.exit(-1)
SystemExit: -1
Подскажите, пожалуйста, как решить это проблему и начать работать с python3.6 в wing ide?

Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.